import { CreateFavoriteApi, DelFavoriteApi, FavoriteListApi, UpdateFavoriteApi } from "@/api/favorite";
import { alert } from "@/common/common";
import { getFilterData } from "@/common/util";
import Product from "../components/product";
import Search from "@/components/search"
import { Text, View } from "@tarojs/components"
import Taro from "@tarojs/taro";
import classnames from "classnames";
import { useCallback, useEffect, useRef, useState } from "react";
import CreatePopup from "../components/createPopup";
import UpdatePopup from "../components/updatePopup";
import styles  from './index.module.scss'
import MCheckbox from "@/components/checkbox";


export default () => {

  //获取收藏夹面料
  const [list, setList] = useState<any[]>([])
  const getFavoriteInfo = () => {
    let arr:any[] = []
    new Array(10).fill("").map((item, index) => {
      arr.push({code: index})
    })
    setList(arr)
  }

  //获取搜索数据
  const [searchData, setSearchData] = useState('')
  const onSearch = useCallback((e) => {
    setSearchData(() => e)
  }, [])
  useEffect(() => {
    getFavoriteInfo()
  }, [searchData])

  const selectCallBack = useCallback(() => {

  }, [])

  const colseCallBack = useCallback(() => {

  }, [])

    return (
      <View className={styles.collection_main}>
        <View className={styles.search}>
          <Search  style={{width: '100%'}} debounceTime={300} changeOnSearch={onSearch} placeholder="请输入面料关键词" />
        </View>
        <View className={styles.operation}>
            <View className={styles.operation_check}>
              <MCheckbox  onSelect={() => selectCallBack()} onClose={() => colseCallBack()}/>
              <Text>全选</Text>
            </View>
            <View className={styles.operation_check_right}>
              <Text>移动到</Text>
              <Text>取消收藏</Text>
            </View>
          </View>
        <View className={styles.class_list}>
          <Product productList={list}/>
        </View>
      </View>
    )
  }