import { Image, View } from "@tarojs/components"
import Taro from "@tarojs/taro"
import { goLink } from "@/common/common"
import styles  from './index.module.scss'
import { formatHashTag, formatImgUrl } from "@/common/fotmat"
import LabAndImg from "@/components/LabAndImg"
import MCheckbox from "@/components/checkbox";
import { useCallback, useEffect, useState } from "react"

type Params = {
    desStatus?: true|false,
    productList?: any[]
}
export default ({desStatus = true, productList = []}:Params) => {
    const [list, setList] = useState<any[]>([])
    useEffect(() => {
        console.log('productList::', productList)
        setList(() => [...productList])
    },[productList]) 

  

    const onSelect = (item, e) => {
        console.log('e:::', e)
        item.check = true
        setList(() => ([...list]))
    }

    const onClose = (item, e) => {
        item.check = false
        setList(() => ([...list]))
    }

    return (
        <View className={styles.products_list}>
            {list?.map(item => {
                return <View className={styles.products_item} onClick={() => goLink(`/pages/details/index?id=${item.id}`)}>
                    <View className={styles.checkbox}>
                        <MCheckbox status={item.check} onSelect={() => onSelect(item, e)} onClose={() => onClose(item, e)}/>
                    </View>
                    <View className={styles.item_img}>
                        <LabAndImg value={{lab:item.lab,rgb:item.rgb,texture_url:item.texture_url}}/>
                        <View className={styles.num}>{item.product_color_count}色</View>
                    </View>
                    <View className={styles.item_con}>
                    <View className={styles.title}><text>{formatHashTag(item.product_code, '')} </text>{item.product_name}</View>
                    <View className={styles.tag_list}>
                        <View className={styles.tag}>{item.width}</View>
                        <View className={styles.tag_g}>{item.weight_density}</View>
                    </View>
                    <View className={styles.introduce}>{item.component}</View>
                        {desStatus&&<View className={styles.des}>{item.describe}</View>}
                    </View>
                </View>
            })}
        </View>
    )
}
